Bug 729667 - qpid-route commands 'route list', 'route flush', 'route map', possibly mistyped to 'list', 'flush', 'map'
Summary: qpid-route commands 'route list', 'route flush', 'route map', possibly mistyp...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 2.2
: ---
Assignee: Joshua Wulf
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 13:53 UTC by Zdenek Kraus
Modified: 2014-10-19 22:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-20 03:13:16 UTC


Attachments (Terms of Use)

Description Zdenek Kraus 2011-08-10 13:53:10 UTC
Description of problem:
qpidd-route usage commands and commands listed in documentation is not matching.
Program offers "route ..." commands, but in documentation are those without 'route ...'. I suggest to replace commands in documentation, instead of changing program.

Version-Release number of selected component (if applicable):
rhm-docs-0.10-2.el5
qpid-tools-0.10-6.el5


How reproducible:
100%
  
Actual results:
Documentation:
The syntax of qpid-route is as follows:

qpid-route [OPTIONS] dynamic add <dest-broker> <src-broker> <exchange> 
qpid-route [OPTIONS] dynamic del <dest-broker> <src-broker> <exchange>

qpid-route [OPTIONS] route add <dest-broker> <src-broker> <exchange> <routing-key> 
qpid-route [OPTIONS] route del <dest-broker> <src-broker> <exchange> <routing-key>

qpid-route [OPTIONS] queue add <dest-broker> <src-broker> <dest-exchange>  <src-queue>
qpid-route [OPTIONS] queue del <dest-broker> <src-broker> <dest-exchange>  <src-queue>

qpid-route [OPTIONS] list  [<broker>]
qpid-route [OPTIONS] flush [<broker>]    
qpid-route [OPTIONS] map   [<broker>]

qpid-route [OPTIONS] link add  <dest-broker> <src-broker>
qpid-route [OPTIONS] link del  <dest-broker> <src-broker>
qpid-route [OPTIONS] link list [<dest-broker>]

Expected results:
Documentation:
The syntax of qpid-route is as follows:

qpid-route [OPTIONS] dynamic add <dest-broker> <src-broker> <exchange> 
qpid-route [OPTIONS] dynamic del <dest-broker> <src-broker> <exchange>

qpid-route [OPTIONS] route add <dest-broker> <src-broker> <exchange> <routing-key> 
qpid-route [OPTIONS] route del <dest-broker> <src-broker> <exchange> <routing-key>

qpid-route [OPTIONS] queue add <dest-broker> <src-broker> <dest-exchange>  <src-queue>
qpid-route [OPTIONS] queue del <dest-broker> <src-broker> <dest-exchange>  <src-queue>

qpid-route [OPTIONS] route list  [<broker>]
qpid-route [OPTIONS] route flush [<broker>]    
qpid-route [OPTIONS] route map   [<broker>]

qpid-route [OPTIONS] link add  <dest-broker> <src-broker>
qpid-route [OPTIONS] link del  <dest-broker> <src-broker>
qpid-route [OPTIONS] link list [<dest-broker>]

Additional info:

Comment 1 Petr Matousek 2011-08-16 09:28:51 UTC
Note: This issue was already reported as a part of Bug 709693 (point 2), thus I suggest to solve this bug and 709693 together.

Comment 4 Cheryn Tan 2012-09-20 02:53:51 UTC
Released for MRG 2.2


Note You need to log in before you can comment on or make changes to this bug.